> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Получить метрики сервиса

> Возвращает метрики Prometheus для сервиса.



## OpenAPI

````yaml /ru/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/prometheus
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/prometheus:
    get:
      tags:
        - Prometheus
      summary: Получить метрики сервиса
      description: Возвращает метрики Prometheus для сервиса.
      parameters:
        - description: ID организации, которой принадлежит сервис.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ID запрашиваемого сервиса.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: Возвращает отфильтрованный список метрик Prometheus.
          in: query
          name: filtered_metrics
          schema:
            format: boolean
            type: string
      responses:
        '200':
          content:
            text/plain:
              schema:
                type: string
          description: Успешный ответ
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: Подробное описание ошибки.
                    type: string
                  status:
                    description: Код состояния HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            Сервер не может или не будет обрабатывать запрос, так как считает,
            что он содержит ошибку на стороне клиента.
components:
  securitySchemes:
    basicAuth:
      description: >-
        Используйте идентификатор ключа и секрет ключа, полученные в консоли
        ClickHouse Cloud: https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````